math.h(3)

NAME
math.h -

SYNOPSIS

  Macros
#define M_E 2.7182818284590452354
#define M_LOG2E 1.4426950408889634074 /* log_2 e */
#define M_LOG10E 0.43429448190325182765 /* log_10 e */
#define M_LN2 0.69314718055994530942 /* log_e 2 */
#define M_LN10 2.30258509299404568402 /* log_e 10 */
#define M_PI 3.14159265358979323846 /* pi */
#define M_PI_2 1.57079632679489661923 /* pi/2 */
#define M_PI_4 0.78539816339744830962 /* pi/4 */
#define M_1_PI 0.31830988618379067154 /* 1/pi */
#define M_2_PI 0.63661977236758134308 /* 2/pi */
#define M_2_SQRTPI 1.12837916709551257390 /* 2/sqrt(pi) */
#define M_SQRT2 1.41421356237309504880 /* sqrt(2) */
#define M_SQRT1_2 0.70710678118654752440 /* 1/sqrt(2) */
#define NAN __builtin_nan('')
#define INFINITY __builtin_inf()
#define cosf cos
#define sinf sin
#define tanf tan
#define fabsf fabs
#define fmodf fmod
#define sqrtf sqrt
#define cbrtf cbrt
#define hypotf hypot
#define squaref square
#define floorf floor
#define ceilf ceil
#define frexpf frexp
#define ldexpf ldexp
#define expf exp
#define coshf cosh
#define sinhf sinh
#define tanhf tanh
#define acosf acos
#define asinf asin
#define atanf atan
#define atan2f atan2
#define logf log
#define log10f log10
#define powf pow
#define isnanf isnan
#define isinff isinf
#define isfinitef isfinite
#define copysignf copysign
#define signbitf signbit
#define fdimf fdim
#define fmaf fma
#define fmaxf fmax
#define fminf fmin
#define truncf trunc
#define roundf round
#define lroundf lround
#define lrintf lrint

  Functions
double cos (double __x)
double sin (double __x)
double tan (double __x)
double fabs (double __x)
double fmod (double __x, double __y)
double modf (double __x, double *__iptr)
float modff (float __x, float *__iptr)
double sqrt (double __x)
double cbrt (double __x)
double hypot (double __x, double __y)
double square (double __x)
double floor (double __x)
double ceil (double __x)
double frexp (double __x, int *__pexp)
double ldexp (double __x, int __exp)
double exp (double __x)
double cosh (double __x)
double sinh (double __x)
double tanh (double __x)
double acos (double __x)
double asin (double __x)
double atan (double __x)
double atan2 (double __y, double __x)
double log (double __x)
double log10 (double __x)
double pow (double __x, double __y)
int isnan (double __x)
int isinf (double __x)
static int isfinite (double __x)
static double copysign (double __x, double __y)
int signbit (double __x)
double fdim (double __x, double __y)
double fma (double __x, double __y, double __z)
double fmax (double __x, double __y)
double fmin (double __x, double __y)
double trunc (double __x)
double round (double __x)
long lround (double __x)
long lrint (double __x)

Author

Generated automatically by Doxygen for avr-libc from the source code.